
Core - Bug # 19879

Status: Resolved Priority: Should have
Author: Sebastian Enders Category:
Created: 2009-01-21 Assigned To: Helmut Hummel
Updated: 2009-02-03 Due date:
TYPO3 Version: 4.1
PHP Version: 5.2
Complexity:
Is Regression:
Sprint Focus:
Subject: after upgrade from 4.1.7 to 4.1.8 feusers and beusers have to clear there cookie cache before they can login
Description

We upgraded several sites to the new versions 4.1.8 and 4.2.4
And we habe the problem that after the upgrade the frontend users and backend users cannot login. But if they clear all cookies they
can login.

But you can not say hunderts of users, please clear your cookie before!

Help wanted!!!

(issue imported from #M10216)

Related issues:
related to Core - Bug # 19831: Session fixation vulnerability in user authent... Resolved 2009-01-15
related to Core - Bug # 19916: Session handling - cannot login to >1 TYPO3 in... Closed 2009-01-26
related to Core - Bug # 19908: session fixation fix avoid BE login Resolved 2009-01-25
related to Core - Bug # 19912: The Bug 0010205  "DB session records are only ... Resolved 2009-01-25
duplicates Core - Bug # 19867: DB session records are only created when users... Resolved 2009-01-20

History
#1 - 2009-01-21 20:47 - Marcus Krause

will be fixed with a #19867 bugfix

#2 - 2009-01-22 17:29 - Sebastian Enders

I am sorry!

The bugfix of 0010205  doesn't help!

I have to switch back to 4.1.7! :-(

#3 - 2009-01-22 17:48 - Michael Stucki

Still it is the same problem, so there is no need to reopen this issue. Please report to #19867 and especially try my latest patch (posted 10 minutes
ago) to see if that works better...

- michael
#4 - 2009-01-23 11:59 - Benjamin Hoft

We have also problems with the 4.1.8 Version of typo3
There are 3 cookies created with expire date of 2010?

e.g.
Name    be_typo_user
Value    5b67a8fff6b747e5ef69a16cca059cca
Path    /
Secure    No
Expires    Sat, 23 Jan 2010 09:52:47 GMT
also fe_typo_user and PHPSESSID

After I login in the BE and browse in the FE and logout in the BE those cookies still there. And if I now close all my browser windows and try to login
with a new one those cookies with expire date of 2010 will cause that the login doesn't work.

I wonder why those cookies aren't set to expire on 'At End Of Session' instead of 1 Year later ?

#5 - 2009-01-24 01:41 - Michael Stucki

How come your be_typo_user cookie is valid for 3 years? That can't be normal, please investigate the reason for this first.

#6 - 2009-01-27 11:55 - Benjamin Hoft

I have found out what the troublemaker of my 1 year expire cookies is.
Its the script cookies.js from the efa font size script ...
I wonder how long this was there, but it seems that with the new typo3 version this script causes some major trouble.

btw this script can still be found here:
http://www.t3net.de//fileadmin/scripts/cookies.js
also with tutorials
http://www.t3net.de/dokumentation/extension-tutorials/efa-fontsize-script.html

I got my from a complete yaml installation

#7 - 2009-01-27 16:24 - Philipp Idler

I think you're right.

I also have yaml installed. I dropped the constant pageHeaderData declared at yaml's constants template and cleared the cache/cookies.
After doing that, the cookie's lifetime was set to "at the end of the session".

#8 - 2009-01-30 23:26 - Helmut Hummel

Yeah, just found out the same after doing some testing.

I fixed the cookie.js for us by not letting it touch ?e_typo_user and PHPSESSID "cookies".
I attached the fixed cookies.js here and close this report, since TYPO3 behaves perfectly right in this case.

#9 - 2009-01-30 23:29 - Helmut Hummel

I'm glad TYPO3 behave perfectly right and does not accept the faulty cookies,

#10 - 2009-02-03 21:24 - Helmut Hummel

Uploaded wrong file

#11 - 2009-02-03 21:28 - Helmut Hummel

Sorry for uploading the wrong file. Now I changed it with a version Albert van der Veen suggested. It only changes the efaSize cookie and leaves all
others alone...

#12 - 2009-02-03 21:58 - Helmut Hummel

Leave it as resolved for the time beeing

Files
cookies.js 5.6 kB 2009-02-03 Administrator Admin

2015-08-04 3/3


